<template>
  <div class="tv-container">
      
        <div class="container-box">
             <div>
                <div class="el-label"><i class="el-icon-collection-tag"></i>基本信息</div>
                <div class="el-line"></div>
                <baseTable v-if="woNo" :woNo="woNo" step="2" @callBack="callBack"/>
                <div class="el-line"></div>
                <div class="el-label"><i class="el-icon-collection-tag"></i>资质审核</div>
                <div class="el-line"></div>

                <div>
                  <el-row>
                    <el-col :span="6">&nbsp;</el-col>
                    <el-col :span="12">
                        <el-form ref="form" :model="form" label-width="80px">
                          <el-form-item label="备注信息">
                            <el-input type="textarea" v-model="form.note"></el-input>
                          </el-form-item>
                        </el-form>                         
                    </el-col>
                    <el-col :span="6">&nbsp;</el-col>
                  </el-row>

                </div>

                <div class="el-line"></div>
                <div class="el-label"></div>
                <div class="el-line"></div>
                <div style="text-align:right">
                  <el-button type="primary" @click="handleAudit">确定</el-button>
                </div>
             </div>
        </div>
        <!--<fullscreen :fullscreen.sync="fullscreen" class="container"></fullscreen>-->
  </div>
</template>

<script>
import baseTable from "./base"
export default {
  components:{ baseTable },
  data(){
    return{
      woNo:'',
      itemId:'',
      form:{},
      bpmInfo:{},
    }
  },
  methods:{
    callBack(itemId){
      this.itemId = itemId
    },
    handleAudit(){
        //查询结果
        this.$http({
          url: "/market/tvImport/qualification/audit/summary",
          method: "post",
          headers: {"Content-Type": "application/json"},
          data:{"woNo":this.woNo}
        }).then((res) => {
         if(res.data.result==0){
             if(res.data.body.code==1){
                  //存在未审核的产品
                  this.$message({ showClose: true, message: res.data.body.info+" , 请继续审核",type: 'error'});

             }else if(res.data.body.code==2){
              //全都是未通过
              this.$confirm(res.data.body.info+",确认提交?", '提示', {
                  confirmButtonText: '确认提交',
                  cancelButtonText: '继续审核',
                  type: 'warning'
                }).then(() => {
                    this.completeTask('N')
                }).catch(() => {
                    //关闭窗体,继续审核
                });
             }else if(res.data.body.code==0){
               this.completeTask('Y')
             }else{
               this.$message({ showClose: true, message: res.data.body.info,type: 'error'});
             }
         }else{
            this.$message({ showClose: true, message: "操作异常",type: 'error'});
         }
        });
    },
    completeTask(audit){
        //拼装参数
        let info={}
        info.params={"note":this.form.note,"audit1":audit,"itemId":this.itemId}
        info.taskId = this.bpmInfo.taskId
        info.woNo = this.woNo 
        info.stepId = this.bpmInfo.stepId
        info.procId = this.bpmInfo.procId
        info.procVersion = this.bpmInfo.procVersion
        //POST请求
        this.$http({
        url: "/bpm/api/submitTask",
        method: "post",
        headers: {"Content-Type": "application/json"},
        data:info
        }).then((res) => {
         if(res.data.result==0){
            this.$router.push({	path: '/tvIntroduction'});
         }else{
            this.$message({ showClose: true, message: res.data.desc,type: 'error'});
         }
        });
    }
  },
  mounted(){
    this.woNo = this.$route.query.woNo
    this.bpmInfo.taskId = this.$route.query.taskId
    this.bpmInfo.stepId = this.$route.query.stepId
    this.bpmInfo.procId = this.$route.query.procId
    this.bpmInfo.procVersion = this.$route.query.procVersion
  }
}
</script>
<style lang="scss" scoped>
.tv-container{
  background-color: white;
  margin:15px 15px 15px 15px;
  padding:20px ;

}
.el-label{
  /*border-left:5px solid #0b82ff;*/
  /*padding-left:5px;*/
  color: #606266;
  border-bottom:1px dotted #bfc1c5;
  padding-bottom:5px;
}
.el-line{
  margin: 0px 0px 20px 0px;
}
</style>
